<template>
    <section class="section section--white">
        <div class="container">
            <div id="disqus_thread"></div>
        </div>
    </section>
</template>

<script>
import Options from "@js/utils/options";

export default {
    props: {
        config: {
            type: Object,
            default: () => ({
                url: 'https://neo.dev.va-promotion.ru/wp-content/themes/neo/assets/build/blog-single.html',
                identifier: 1
            }),
        }
    },
    
    mounted: function () {

        if (Options('comments_domain')) {

            /**
            *  RECOMMENDED CONFIGURATION VARIABLES: EDIT AND UNCOMMENT THE SECTION BELOW TO INSERT DYNAMIC VALUES FROM YOUR PLATFORM OR CMS.
            *  LEARN WHY DEFINING THESE VARIABLES IS IMPORTANT: https://disqus.com/admin/universalcode/#configuration-variables
            */
            let disqus_config = function () {
                this.page.url = this.config.url;  // Replace PAGE_URL with your page's canonical URL variable
                this.page.identifier = this.config.identifier; // Replace PAGE_IDENTIFIER with your page's unique identifier variable
            };
            
            (function() { // DON'T EDIT BELOW THIS LINE
            let d = document, s = d.createElement('script');
            s.src = `https://${Options('comments_domain')}.disqus.com/embed.js`;
            s.setAttribute('data-timestamp', +new Date());
            (d.head || d.body).appendChild(s);
            })();

        }
    }
}
</script>